# Type alias EventListener<TEventArgs>

EventListener<TEventArgs>: ((eventData) => Promisable<void>)

#### Type Parameters

- #### TEventArgs extends EventArgs = EventArgs

#### Type declaration

- - (eventData): Promisable<void>

  - #### Parameters

    - ##### eventData: TEventArgs

    #### Returns Promisable<void>

- Defined in modules/packages/module/packages/events/dist/types/model/Event.d.ts:9

Generated using TypeDoc